Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.ui
Class EditCtrl

    java.lang.Object
      com.tonbeller.wcf.ui.XoplonCtrl
          com.tonbeller.wcf.ui.TypedCtrl
              com.tonbeller.wcf.ui.EditCtrl

All Implemented Interfaces:
  BasicTypes

Direct Known Subclasses:
  Label, Password, TextArea, TextField

public abstract class EditCtrl
extends TypedCtrl

has a value, type and format string. The value may be read or written into a bean via model reference.

Field Summary

Fields inherited from interface com.tonbeller.wcf.format.BasicTypes
`BOOLEAN_TYPE, DATE_TYPE, DOUBLE_TYPE, EMAIL_TYPE, INT_TYPE, POSINT_TYPE, REQSTR_TYPE, STRING_TYPE`

Constructor Summary
`EditCtrl()`

Method Summary
`protected static org.w3c.dom.Element` | `createValueHolder(org.w3c.dom.Document doc, java.lang.String tagName)` factory function. creates new DOM element
`protected static org.w3c.dom.Element` | `createValueHolder(org.w3c.dom.Document doc, java.lang.String tagName, java.lang.String type)` factory function. creates new DOM element
`static boolean` | `getBoolean(Formatter fmt, org.w3c.dom.Element elem)`
`static java.util.Date` | `getDate(Formatter fmt, org.w3c.dom.Element elem)`
`static double` | `getDouble(Formatter fmt, org.w3c.dom.Element elem)`
`static int` | `getInt(Formatter fmt, org.w3c.dom.Element elem)`
`static int` | `getMaxLength(org.w3c.dom.Element element)` Get max input length
`static java.lang.String` | `getString(Formatter fmt, org.w3c.dom.Element elem)`
`static java.lang.String` | `getValue(org.w3c.dom.Element element)` Get value
`static java.lang.Object` | `getValue(Formatter formatter, org.w3c.dom.Element element)` get value with type conversion
`static void` | `setBoolean(Formatter fmt, org.w3c.dom.Element elem, boolean value)`
`static void` | `setDate(Formatter fmt, org.w3c.dom.Element elem, java.util.Date value)`
`static void` | `setDouble(Formatter fmt, org.w3c.dom.Element elem, double value)`
`static void` | `setInt(Formatter fmt, org.w3c.dom.Element elem, int value)`
`static void` | `setMaxLength(org.w3c.dom.Element element, int maxLength)` Set max input length
`static void` | `setString(Formatter fmt, org.w3c.dom.Element elem, java.lang.String value)`
`static void` | `setValue(org.w3c.dom.Element element, java.lang.String value)` Set value
`static void` | `setValue(Formatter formatter, org.w3c.dom.Element element, java.lang.Object value)` set value with type conversion

Methods inherited from class com.tonbeller.wcf.ui.TypedCtrl
`getFormatString, getType, setFormatString, setType`

Methods inherited from class com.tonbeller.wcf.ui.XoplonCtrl
`createCtrl, getId, getLabel, getModelReference, isDisabled, isHidden, setDisabled, setHidden, setId, setLabel, setModelReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditCtrl

    public EditCtrl()

Method Detail

### setValue

    public static void setValue(org.w3c.dom.Element element,
                                java.lang.String value)

  Set value

### getValue

    public static java.lang.String getValue(org.w3c.dom.Element element)

  Get value

### setMaxLength

    public static void setMaxLength(org.w3c.dom.Element element,
                                    int maxLength)

  Set max input length

### getMaxLength

    public static int getMaxLength(org.w3c.dom.Element element)

  Get max input length

### createValueHolder

    protected static org.w3c.dom.Element createValueHolder(org.w3c.dom.Document doc,
                                                           java.lang.String tagName,
                                                           java.lang.String type)

  factory function. creates new DOM element

### createValueHolder

    protected static org.w3c.dom.Element createValueHolder(org.w3c.dom.Document doc,
                                                           java.lang.String tagName)

  factory function. creates new DOM element

### setValue

    public static void setValue(Formatter formatter,
                                org.w3c.dom.Element element,
                                java.lang.Object value)
                         throws FormatException

  set value with type conversion

  Throws:
    `FormatException`

### getValue

    public static java.lang.Object getValue(Formatter formatter,
                                            org.w3c.dom.Element element)
                                     throws FormatException

  get value with type conversion

  Throws:
    `FormatException`

### getBoolean

    public static boolean getBoolean(Formatter fmt,
                                     org.w3c.dom.Element elem)
                              throws FormatException

  Throws:
    `FormatException`

### getInt

    public static int getInt(Formatter fmt,
                             org.w3c.dom.Element elem)
                      throws FormatException

  Throws:
    `FormatException`

### getDouble

    public static double getDouble(Formatter fmt,
                                   org.w3c.dom.Element elem)
                            throws FormatException

  Throws:
    `FormatException`

### getDate

    public static java.util.Date getDate(Formatter fmt,
                                         org.w3c.dom.Element elem)
                                  throws FormatException

  Throws:
    `FormatException`

### getString

    public static java.lang.String getString(Formatter fmt,
                                             org.w3c.dom.Element elem)
                                      throws FormatException

  Throws:
    `FormatException`

### setBoolean

    public static void setBoolean(Formatter fmt,
                                  org.w3c.dom.Element elem,
                                  boolean value)
                           throws FormatException

  Throws:
    `FormatException`

### setInt

    public static void setInt(Formatter fmt,
                              org.w3c.dom.Element elem,
                              int value)
                       throws FormatException

  Throws:
    `FormatException`

### setDouble

    public static void setDouble(Formatter fmt,
                                 org.w3c.dom.Element elem,
                                 double value)
                          throws FormatException

  Throws:
    `FormatException`

### setDate

    public static void setDate(Formatter fmt,
                               org.w3c.dom.Element elem,
                               java.util.Date value)
                        throws FormatException

  Throws:
    `FormatException`

### setString

    public static void setString(Formatter fmt,
                                 org.w3c.dom.Element elem,
                                 java.lang.String value)
                          throws FormatException

  Throws:
    `FormatException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD